<?php
namespace TourOperatorProFrontend\app\views\tour;
use TourOperatorPro\Mvc\Model\Model;
use TourOperatorPro\Mvc\View\View;
use TourOperatorPro\Factory as FactoryAlias;

class TourView extends View
{
    public function display($tpl){
        $appConfig = FactoryAlias::getAppConfig();
        $symbol = $appConfig->get('currencies_in_list', '');
        $currencyModel = Model::getInstance('currency');
        $symbol = $currencyModel->format_currency($symbol);
        $this->currency = reset($symbol);
        $input = FactoryAlias::getInput();
        $tour_id = $input->getInt('tour_id',0);
        $modelTour=Model::getInstance('tour');
        $this->tour=$modelTour->getItem($tour_id);
        return parent::display($tpl);
    }
}